마케롱

페이지뷰

GET https://makeron.today/api/pageviews-normal/
curl --request GET \
--url 'https://makeron.today/api/pageviews-normal/?website_id=1' \
--header 'Authorization: Bearer {api_key}' \
매개변수 상세 설명
website_id 필수 정수
type 선택사항 문자열 허용되는 값: landing_page, pageview
session_id 선택사항 정수
visitor_id 선택사항 정수
has_bounced 선택사항 정수 허용되는 값: 0, 1
search 선택사항 문자열 검색 문자열입니다.
search_by 선택사항 문자열 어떤 분야로 검색하시나요? 허용되는 값은 path, title, referrer_host, referrer_path, utm_source, utm_medium, utm_campaign입니다.
datetime_field 선택사항 문자열 허용되는 값: date
datetime_start 선택사항 문자열 이 날짜/시간부터 결과를 필터링합니다. Y-m-d H:i:s 형식입니다.
datetime_end 선택사항 문자열 이 날짜 시간까지 결과를 필터링합니다. Y-m-d H:i:s 형식입니다.
order_by 선택사항 문자열 결과를 정렬할 필드입니다. 허용되는 값은 event_id, session_id, visitor_id, path, title, has_bounced, expiration_date, date입니다.
order_type 선택사항 문자열 결과의 순서입니다. 허용되는 값은 오름차순의 경우 ASC, 내림차순의 경우 DESC입니다.
page 선택사항 정수 결과를 원하는 페이지 번호입니다. 기본값은 1입니다.
results_per_page 선택사항 정수 페이지당 원하는 결과 수. 허용되는 값은 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다.
{
    "data": [
        {
            "id": 1,
            "event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
            "session_id": 1,
            "visitor_id": 1,
            "website_id": 1,
            "type": "pageview",
            "path": "/dashboard",
            "title": "Dashboard",
            "referrer_host": null,
            "referrer_path": null,
            "utm_source": null,
            "utm_medium": null,
            "utm_campaign": null,
            "viewport_width": 1920,
            "viewport_height": 1080,
            "has_bounced": false,
            "expiration_date": "2027-07-28",
            "datetime": "2026-07-28 00:59:27"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://makeron.today/api/pageviews-normal?website_id=1&page=1",
        "last": "https://makeron.today/api/pageviews-normal?website_id=1&page=1",
        "next": null,
        "prev": null,
        "self": "https://makeron.today/api/pageviews-normal?website_id=1&page=1"
    }
}
GET https://makeron.today/api/pageviews-normal/{event_id}
curl --request GET \
--url 'https://makeron.today/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "event_uuid": "4b3a71aeed5a4400913b84f38a11b6bf",
        "session_id": 1,
        "visitor_id": 1,
        "website_id": 1,
        "type": "pageview",
        "path": "/dashboard",
        "title": "Dashboard",
        "referrer_host": null,
        "referrer_path": null,
        "utm_source": null,
        "utm_medium": null,
        "utm_campaign": null,
        "viewport_width": 1920,
        "viewport_height": 1080,
        "has_bounced": false,
        "expiration_date": "2027-07-28",
        "datetime": "2026-07-28 00:59:27"
    }
}
DELETE https://makeron.today/api/pageviews-normal/{event_id}
curl --request DELETE \
--url 'https://makeron.today/api/pageviews-normal/{event_id}' \
--header 'Authorization: Bearer {api_key}' \